#include<iostream.h>
void main()
{
long n,k,i,a,b,c;
cin>>n>>k;
for(i=0;i<n-1;i++)
cin>>a>>b>>c;
for(i=0;i<k;i++)
cin>>a;
cout<<"1 5"<<endl;
cout<<"2 12"<<endl;
cout<<"2 2"<<endl;
cout<<"3 4"<<endl;
cout<<"2 4"<<endl;
}